Loading...
Searching...
No Matches
config.hpp File Reference

## Description

Provides macros describing the bsoncxx library configuration.

Go to the source code of this file.

## Macros

#define | BSONCXX_POLY_USE_IMPLS
| Defined when configured to use bsoncxx's own C++17 polyfill implementations.
#define | BSONCXX_POLY_USE_STD
| Defined when configured to use the C++ standard library for C++17 features.

## Macro Definition Documentation

## BSONCXX_POLY_USE_IMPLS

#define BSONCXX_POLY_USE_IMPLS

Defined when configured to use bsoncxx's own C++17 polyfill implementations.

## BSONCXX_POLY_USE_STD

#define BSONCXX_POLY_USE_STD

Defined when configured to use the C++ standard library for C++17 features.